> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search fiat currencies

> <Warning>

**⚠️ Deprecated — this endpoint will be removed on July 31, 2026.** Migrate to the [Network Partner API](/api-reference/network-partners); see the [migration guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).

</Warning>

Returns a list of properties which meet the search criteria.



## OpenAPI

````yaml /openapi/serviceproviders-20260203.json get /service-providers/properties/fiat-currencies
openapi: 3.1.0
info:
  title: SERVICE PROVIDERS
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: >+
    <Warning>


    **⚠️ Deprecated — this endpoint will be removed on July 31, 2026.** Migrate
    to the [Network Partner API](/api-reference/network-partners); see the
    [migration
    guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).


    </Warning>

servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Service Provider
paths:
  /service-providers/properties/fiat-currencies:
    get:
      tags:
        - Service Provider
      summary: Search fiat currencies
      description: >-
        <Warning>


        **⚠️ Deprecated — this endpoint will be removed on July 31, 2026.**
        Migrate to the [Network Partner API](/api-reference/network-partners);
        see the [migration
        guide](/docs/stablecoins/white-label-api-integration/migration-service-provider-to-network-partner).


        </Warning>


        Returns a list of properties which meet the search criteria.
      operationId: service-providers-properties-fiat-currency-search
      parameters:
        - name: serviceProviders
          in: query
          description: A comma separated list of service providers.
          required: false
          schema:
            type: string
        - name: statuses
          in: query
          description: >-
            A comma separated list of service provider statuses. Valid values
            are: LIVE,RECENTLY_ADDED,BUILDING
          required: false
          schema:
            type: string
            default: LIVE,RECENTLY_ADDED
        - name: categories
          in: query
          description: >-
            A comma separated list of service provider categories. Valid values
            are:
            BANK_LINKING,CRYPTO_OFFRAMP,CRYPTO_ONRAMP,CRYPTO_TRANSFER,CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP,CRYPTO_VIRTUAL_ACCOUNT_ONRAMP,FIAT_PAYMENTS.
            Note: CRYPTO_ONRAMP_SWAP and CRYPTO_OFFRAMP_SWAP are server-driven
            and cannot be requested directly.
          required: false
          schema:
            type: string
        - name: accountFilter
          in: query
          description: >-
            Filter by account configuration. Will only include properties
            supported by the service providers configured for the account of the
            API authentication token used.
          required: false
          schema:
            type: boolean
            default: false
        - name: countries
          in: query
          description: A comma separated list of countries.
          required: false
          schema:
            type: string
        - name: fiatCurrencies
          in: query
          description: A comma separated list of fiat currencies.
          required: false
          schema:
            type: string
        - name: cryptoChains
          in: query
          description: A comma separated list of crypto chains.
          required: false
          schema:
            type: string
        - name: cryptoCurrencies
          in: query
          description: A comma separated list of crypto currencies.
          required: false
          schema:
            type: string
        - name: paymentMethodTypes
          in: query
          description: >-
            A comma separated list of payment method types. Valid Values are:
            [Supported Payment
            Methods](https://docs.meld.io/docs/supported-payment-methods)
          required: false
          schema:
            type: string
        - name: includeServiceProviderDetails
          in: query
          description: >-
            When true, includes the service provider coverage and mappings for
            each property in the response.
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Search successful
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FiatCurrency20231122'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      deprecated: true
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FiatCurrency20231122:
      type: object
      description: Fiat Currency details.
      properties:
        currencyCode:
          type: string
          description: The code for this Fiat Currency.
        name:
          type: string
          description: The display name for this Fiat Currency.
        serviceProviderDetails:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/FiatCurrency20231122ServiceProviderDetails'
          description: >-
            The service provider coverage and mappings. All service providers in
            this map support the property (coverage). Service provider mappings
            are included in the values of the map, if required. Only present
            when includeServiceProviderDetails request parameter is set to true.
        symbolImageUrl:
          type: string
          description: The URL to this Fiat Currency's symbol image.
    FiatCurrency20231122ServiceProviderDetails:
      type: object
      description: Fiat currency service provider details.
      properties:
        currencyCode:
          type: string
          description: >-
            The service provider's currency code. If null, no mapping is
            required for this service provider.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````